<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__seglcd__disp__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_seglcd_disp_t</compoundname>
    <includes local="no">cy_seglcd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__seglcd__disp__t_1a92e348e14cdae68278381927802b48fc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_seglcd_disp_t::type</definition>
        <argsstring />
        <name>type</name>
        <briefdescription>
<para>The display type, one of <ref kindref="member" refid="group__group__seglcd__enums_1gad9a3f6a9bdb312ad774c5e55d5f1847c">cy_en_seglcd_disp_t</ref> or custom. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="520" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="520" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__disp__t_1a6df39e75cef81d3809897a2e23182168" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_seglcd_disp_t::symNum</definition>
        <argsstring />
        <name>symNum</name>
        <briefdescription>
<para>The number of symbols (digits, characters). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="521" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="521" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__disp__t_1a05ed7ce4a52b244a0f226a2a2a33ee1e" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_seglcd_disp_t::invert</definition>
        <argsstring />
        <name>invert</name>
        <briefdescription>
<para>Specifies whether the display is inverted or not. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="522" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="522" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__disp__t_1a886c5f20ab0a153ff08ebdf0f227d390" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t const  *</type>
        <definition>uint32_t const* cy_stc_seglcd_disp_t::pixMap</definition>
        <argsstring />
        <name>pixMap</name>
        <briefdescription>
<para>The pointer to the display pixel map array: The array dimension is: uint32_t pixMap[symNum][type]. </para>        </briefdescription>
        <detaileddescription>
<para>Each array item should be made using the <ref kindref="member" refid="group__group__seglcd__macros_1gaacbf9913c4cf4341e7b0594f1069bab0">CY_SEGLCD_PIXEL</ref> macro. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="523" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="523" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__disp__t_1a80a819d5a9bf227fab85187391c63c1c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__seglcd__font__t">cy_stc_seglcd_font_t</ref> const  *</type>
        <definition>cy_stc_seglcd_font_t const* cy_stc_seglcd_disp_t::font</definition>
        <argsstring />
        <name>font</name>
        <briefdescription>
<para>The pointer to the font structure suitable for this display. </para>        </briefdescription>
        <detaileddescription>
<para>Note that for the <ref kindref="member" refid="group__group__seglcd__enums_1ggad9a3f6a9bdb312ad774c5e55d5f1847cac660b5c60c7dc831a436c914f4cfc9c4">CY_SEGLCD_BAR</ref> displays font is not used, so can be NULL. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="527" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="527" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Display structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="276">
        <label>cy_stc_seglcd_disp_t</label>
        <link refid="structcy__stc__seglcd__disp__t" />
        <childnode refid="277" relation="usage">
          <edgelabel>font</edgelabel>
        </childnode>
      </node>
      <node id="277">
        <label>cy_stc_seglcd_font_t</label>
        <link refid="structcy__stc__seglcd__font__t" />
      </node>
    </collaborationgraph>
    <location bodyend="530" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="518" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="519" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__seglcd__disp__t_1a80a819d5a9bf227fab85187391c63c1c" virt="non-virtual"><scope>cy_stc_seglcd_disp_t</scope><name>font</name></member>
      <member prot="public" refid="structcy__stc__seglcd__disp__t_1a05ed7ce4a52b244a0f226a2a2a33ee1e" virt="non-virtual"><scope>cy_stc_seglcd_disp_t</scope><name>invert</name></member>
      <member prot="public" refid="structcy__stc__seglcd__disp__t_1a886c5f20ab0a153ff08ebdf0f227d390" virt="non-virtual"><scope>cy_stc_seglcd_disp_t</scope><name>pixMap</name></member>
      <member prot="public" refid="structcy__stc__seglcd__disp__t_1a6df39e75cef81d3809897a2e23182168" virt="non-virtual"><scope>cy_stc_seglcd_disp_t</scope><name>symNum</name></member>
      <member prot="public" refid="structcy__stc__seglcd__disp__t_1a92e348e14cdae68278381927802b48fc" virt="non-virtual"><scope>cy_stc_seglcd_disp_t</scope><name>type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>